=== debian/control ===
Source: ros-lunar-image-transport
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-filters, ros-lunar-pluginlib, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-sensor-msgs
Homepage: http://ros.org/wiki/image_transport
Standards-Version: 3.9.2

Package: ros-lunar-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-filters, ros-lunar-pluginlib, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-sensor-msgs
Description: image_transport should always be used to subscribe to and publish images.
 It provides transparent support for transporting images in low-bandwidth compressed formats. Examples (provided by separate plugin packages) include JPEG/PNG compression and Theora streaming video.
